ImageServerConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Interface ImageServerConstants

All Superinterfaces:
  WMTConstants

All Known Implementing Classes:
  DynamicWmsRequestHandler, EarthImagePlugIn, ImageServerUtils, MapRequestHandler, SHISPlugIn, WebImagePlugIn, WMSPlugIn, WmsRequestHandler

    public interface ImageServerConstants

extends WMTConstants

This file defines the OpenMap extensions to the WMTConstants for making a web request for a map. They include String attribute keywords that let you request a certain OpenMap projection.

Field Summary
`static java.lang.String` | `AZIMUTH` Specific OpenMap projection parameter (AZIMUTH).
`static java.lang.String` | `LAT` Specific OpenMap projection parameter (LAT).
`static java.lang.String` | `LAYERMASK` Which layer number should be included in Image (LayerMask).
`static java.lang.String` | `LAYERS` Specify OpenMap layers that should be part of Image (LAYERS) an String[] value
`static java.lang.String` | `LON` Specific OpenMap projection parameter (LON).
`static java.lang.String` | `PAN` Keyword (pan) for the map server pan request.
`static java.lang.String` | `PROJTYPE` Specific OpenMap projection parameter (PROJTYPE).
`static java.lang.String` | `QUERY` Keyword (query) for the map server query request;
`static java.lang.String` | `RECENTER` Keyword (recenter) for the map server recenter request.
`static java.lang.String` | `SCALE` Specific OpenMap projection parameter (SCALE).
`static java.lang.String` | `X` Specific OpenMap projection parameter (X).
`static java.lang.String` | `Y` Specific OpenMap projection parameter (Y).

Fields inherited from interface com.bbn.openmap.image.WMTConstants
`BBOX, BGCOLOR, CAPABILITIES, CRS, EXCEPTIONS, FORMAT, GETCAPABILITIES, GETFEATUREINFO, GETLEGENDGRAPHIC, GETMAP, HEIGHT, IMAGEFORMAT_GEOTIFF, IMAGEFORMAT_GIF, IMAGEFORMAT_JPEG, IMAGEFORMAT_PNG, IMAGEFORMAT_PPM, IMAGEFORMAT_SVG, IMAGEFORMAT_TIFF, IMAGEFORMAT_WBMP, INFO_FORMAT, LAYER, MAP, QUERY_LAYERS, REQUEST, SERVICE, SRS, STYLE, STYLES, TRANSPARENT, VERSION, WIDTH, WMTVER`

Field Detail

### PROJTYPE

    static final java.lang.String PROJTYPE

  Specific OpenMap projection parameter (PROJTYPE). Should match string identifier for OpenMap projection type.

  See Also:
    Constant Field Values

### SCALE

    static final java.lang.String SCALE

  Specific OpenMap projection parameter (SCALE). Should reflect right side of the scale ratio (1:XXXXX).

  See Also:
    Constant Field Values

### LAT

    static final java.lang.String LAT

  Specific OpenMap projection parameter (LAT). Float value.

  See Also:
    Constant Field Values

### LON

    static final java.lang.String LON

  Specific OpenMap projection parameter (LON). Float value.

  See Also:
    Constant Field Values

### LAYERMASK

    static final java.lang.String LAYERMASK

  Which layer number should be included in Image (LayerMask). Integer value. Bit 0 is for layer 0 and so on.

  See Also:
    Constant Field Values

### LAYERS

    static final java.lang.String LAYERS

  Specify OpenMap layers that should be part of Image (LAYERS) an String[] value

  See Also:
    Constant Field Values

### PAN

    static final java.lang.String PAN

  Keyword (pan) for the map server pan request.

  See Also:
    Constant Field Values

### RECENTER

    static final java.lang.String RECENTER

  Keyword (recenter) for the map server recenter request.

  See Also:
    Constant Field Values

### AZIMUTH

    static final java.lang.String AZIMUTH

  Specific OpenMap projection parameter (AZIMUTH). Float value.

  See Also:
    Constant Field Values

### QUERY

    static final java.lang.String QUERY

  Keyword (query) for the map server query request;

  See Also:
    Constant Field Values

### X

    static final java.lang.String X

  Specific OpenMap projection parameter (X). Int value.

  See Also:
    Constant Field Values

### Y

    static final java.lang.String Y

  Specific OpenMap projection parameter (Y). Int value.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details